Error message for online experiment

Hello everyone,

When I tried to put my experiment online I have this kind of message (see below) for every experiment.
I tried to downgrade the version but nothing change.

Somebody already had this kind of problem ?

Greetings,

Description of the problem:
Traceback (most recent call last):
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 304, in wrapped_f
return f(*args, **kwargs)
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\mixins.py”, line 112, in get
server_data = self.gitlab.http_get(path, **kwargs)
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\client.py”, line 662, in http_get
result = self.http_request(
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\client.py”, line 628, in http_request
raise gitlab.exceptions.GitlabHttpError(
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 663, in project
self._project = self.session.gitlab.projects.get(self.id)
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\v4\objects\projects.py”, line 782, in get
return cast(Project, super().get(id=id, lazy=lazy, **kwargs))
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 306, in wrapped_f
raise error(e.error_message, e.response_code, e.response_body) from e
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\app\builder\builder.py”, line 1374, in onPavloviaSync
pavlovia_ui.syncProject(parent=self, file=self.filename, project=self.project)
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 743, in syncProject
if not project.localRoot or not Path(project.localRoot).is_dir():
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 746, in localRoot
if self.project.path_with_namespace in knownProjects:
File “C:\Users\hamoline\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 666, in project
raise KeyError(f"Could not find GitLab project with id {self.id}.")
KeyError: ‘Could not find GitLab project with id 245340.’

Hi !

I have exactly the same problem ! I could not find a solution for it until now… I tried many ways… :frowning_face:

Hi,

The only solution for me was to downgrade my Psychopy version to 2021.1.1, and now everything works fine and perfect ! That error is a bug in the newest versions, as I had the latest version (2022.2.4).

I hope that works for you !

It works thanks !
Now I have to understand why I have sound but not images.

Greetings,